
QGIS Application - Feature request #3734

WMS reprojection if current CRS is supported by server

2011-04-14 04:11 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13793

Description

There seems some resampling going on when requesting a CRS

which the server supports (with enabled OTF):

http://www.catais.org/otf_off.png

http://www.catais.org/otf_on.png

e.g. QGIS set to EPSG:4326 and requesting an EPSG:4326 image from a

server that supports EPSG:4326.

Originally reported: http://lists.osgeo.org/pipermail/qgis-developer/2011-March/013287.html

History

#1 - 2011-04-14 04:18 AM - Redmine Admin

WMS driver does not automatically switches to 

projection requested by QGIS even if it is supported by WMS server. 

You have to manually select the right projection when layer is added.

Preferably, the WMS driver should not only to switch to the right 

projection, but also automatically 

select the most similar projection offered by server if no one exactly 

matches. Anybody is aware of an algorithm or ready for use method 

doing that?

#2 - 2011-04-15 04:32 AM - Jürgen Fischer

might #3740 be a duplicate of this?

#3 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-01-17 06:04 AM - Borys Jurgiel

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

I believe choosing the strictly matching projection (if any) is the most urgent (and the simplest) fix. I thought it was already implemented, but maybe I'm
wrong.

#5 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-04-17 11:55 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

- Start date set to 2012-04-17

#7 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2012-10-05 01:11 PM - Paolo Cavallini

- Assignee changed from Redmine Admin to Magnus Homann

#9 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2015-11-20 07:32 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

on QGIS 2.13 master (and probably in previous versions), the WMS client set the CRS to the common CRS between the project and the WMS server. If

my project is in EPSG:2154 and the WMS server have the layer I want to display in this projection, QGIS WMS client will choose EPSG:2154 by default

and there is no reprojection.

I am closing this bug.
